package com.sptg.iot.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.iot.api.dto.IotAlarmDto;
import com.sptg.iot.api.dto.IotAlarmWorkOrderDto;
import com.sptg.iot.api.entity.IotAlarm;
import com.sptg.iot.api.entity.IotAlarmWorkOrder;

/**
 * @author zwx
 * @create 2020/10/19 23:19
 */
public interface IotAlarmWorkOrderServiceInterface extends IService<IotAlarmWorkOrder> {

    public ResultBean<Page<IotAlarmWorkOrder>> showIotDeviceWorkOrderList(IotAlarmWorkOrderDto iotAlarmWorkOrderDto);

    public ResultBean<String> syncIotDeviceWorkOrderList(IotAlarmWorkOrderDto iotAlarmWorkOrderDto);

    public IotAlarmWorkOrder getIotDeviceWorkOrderByOrderId(String orderId);

    public ResultBean<String> updateIotDeviceWorkOrder(IotAlarmWorkOrderDto iotAlarmWorkOrderDto);

    /**
     * 分页获取告警工单列表
     * @param id
     * @return
     */
    ResultBean<Page<IotAlarmWorkOrder>> pagingQuery(IotAlarmWorkOrderDto iotAlarmWorkOrderDto);

    public IotAlarmWorkOrder getIotAlarmWorkOrderById(Long id);

}
